Package org.springframework.security.web.access.channel

# Interface ChannelEntryPoint

All Known Implementing Classes:
  `AbstractRetryEntryPoint`, `RetryWithHttpEntryPoint`, `RetryWithHttpsEntryPoint`

public interface ChannelEntryPoint
May be used by a `ChannelProcessor` to launch a web channel.

`ChannelProcessor`s can elect to launch a new web channel directly, or they can delegate to another class. The `ChannelEntryPoint` is a pluggable interface to assist `ChannelProcessor`s in performing this delegation.

## Method Summary

Modifier and Type
Method
Description
`void`
`commence(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
Commences a secure channel.

## Method Details

### commence

void commence(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws IOException, jakarta.servlet.ServletException
Commences a secure channel.

Implementations should modify the headers on the `ServletResponse` as necessary to commence the user agent using the implementation's supported channel type.

Parameters:
  `request` - that a `ChannelProcessor` has rejected
  `response` - so that the user agent can begin using a new channel
Throws:
  `IOException`
  `jakarta.servlet.ServletException`